Wind River Support Network

HomeDefectsLIN5-21461
Fixed

LIN5-21461 : Security Advisory - subversion - CVE-2016-2167

Created: May 17, 2016    Updated: May 29, 2018
Resolved Date: Jul 20, 2016
Found In Version: 5.0.1.35
Fix Version: 5.0.1.37
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

The canonicalize_username function in svnserve/cyrus_auth.c in Apache Subversion before 1.8.16 and 1.9.x before 1.9.4, when Cyrus SASL authentication is used, allows remote attackers to authenticate and bypass intended access restrictions via a realm string that is a prefix of an expected repository realm string.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2016-2167

Other Downloads


Live chat
Online